<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">
	<title>Simon</title>
	<link rel="stylesheet" type="text/css" href="style.css">
	<link rel="stylesheet" type="text/css" href="med.css">
	<link rel="stylesheet" type="text/css" href="dif.css">

</head>

<body class="bod">

	<h1 class="t_simon">Jeu du Simon!</h1>

	<section>
		<input class="niveau" type="button" value="Mode Facile" id="ButEasy">
		<input class="niveau2" type="button" value="Mode Medium" id="ButMed">
		<input class="niveau3" type="button" value="Mode Difficile" id="ButHard">
		<input class="niveau4" type="button" id="go" value="Start">
	</section>	


	<div class="simon" id="a">

		<input class="s1" id="b1" type="button" name="">
		<input class="s2" id="b2" type="button" name="">
		<section class="simon2"><input class="s3" id="b3" type="button" name="">
		<input class="s4" id="b4" type="button" name="">
   		</section>
   		<section class="result">	
			<output class="resultat" id="res"></output>
		</section>
	
	</div>

	<div id="b">
		<input class="s5" id="b5" type="button" name="">
		<input class="s6" id="b6" type="button" name="">
		<input class="s7" id="b7" type="button" name="">
		<input class="s8" id="b8" type="button" name="">
		<input class="s9" id="b9" type="button" name="">
		<input class="s10" id="b10" type="button" name="">
		   		<section class="result">	
			<output class="resultat" id="res"></output>
		</section>
	</div>

	<div id="c">
		<input class="s11" id="b11" type="button" name="">
		<input class="s12" id="b12" type="button" name="">
		<input class="s13" id="b13" type="button" name="">
		<input class="s14" id="b14" type="button" name="">
		<input class="s15" id="b15" type="button" name="">
		<input class="s16" id="b16" type="button" name="">
		<input class="s17" id="b17" type="button" name="">
		<input class="s18" id="b18" type="button" name="">
		<input class="s19" id="b19" type="button" name="">
		   		<section class="result">	
			<output class="resultat" id="res"></output>
		</section>
	</div>

	<script type="text/javascript">
		

document.getElementById("a").style.display="inherit";
document.getElementById("b").style.display="none";
document.getElementById("c").style.display="none";

        document.getElementById("ButEasy").addEventListener("click",playEasy);
        document.getElementById("ButMed").addEventListener("click",playMed);
        document.getElementById("ButHard").addEventListener("click",playHard);

        function playEasy () { 
    document.getElementById("a").style.display="inherit";
    document.getElementById("b").style.display="none";
    document.getElementById("c").style.display="none";
        }

        function playMed () { 
    document.getElementById("a").style.display="none";
    document.getElementById("b").style.display="inherit";
    document.getElementById("c").style.display="none";
        }
        function playHard () { 
    document.getElementById("a").style.display="none";
    document.getElementById("b").style.display="none";
    document.getElementById("c").style.display="inherit";
        }

</script>
	<script>
		var boutons = [document.getElementById("b1"), document.getElementById("b2"), document.getElementById("b3"), document.getElementById("b4")];
		var sequence = [];

		document.getElementById('go').addEventListener("click", game);	

function game() {

		sequence = [];
		for (var i = 0; i < 2; i++) {
			sequence.push(boutons[Math.floor(Math.random() * 4)]);
		}
		
		var courant = 0;
		function allumer() {
			document.getElementById('res').innerHTML = "";
		
			
			function eteindre(bouton_a_eteindre) {
				bouton_a_eteindre.classList.remove('actif');
			}

			sequence[courant].classList.add('actif');


			setTimeout(eteindre, 400, sequence[courant]);

			courant++;
			if (courant < sequence.length) {
				setTimeout(allumer, 500);
			} else {

				tourJoueur();
			}
		}

		function tourJoueur() {
			courant = 0;

	
			var to = setTimeout(gameover, 6000);

			for (var i = 0; i < boutons.length; i++) {
				boutons[i].addEventListener("click", verif);
			}
			document.getElementById('res').innerHTML = "";
			document.getElementById('res').innerHTML = "A vous !";
			function gameover() {

				document.getElementById('res').innerHTML = "Temp ecouler!";
				for (var i = 0; i < boutons.length; i++) {
					boutons[i].removeEventListener("click", verif);
				}
			}

			
			function verif() {
		
				clearTimeout(to);
			
				if (this != sequence[courant]) {
					// perdu
					sequence = [];
					courant = 0;
					document.getElementById('res').innerHTML = "perdu!!!";


					for (var i = 0; i < boutons.length; i++) {
						boutons[i].removeEventListener("click", verif);
					}
				} else {
			
					courant++;
					if (courant < sequence.length) {
				
						to = setTimeout(gameover, 5000);
					} else {
				
						sequence.push(boutons[Math.floor(Math.random() * 4)]);
						courant = 0;
						setTimeout(allumer, 300);
		
						for (var i = 0; i < boutons.length; i++) {
							boutons[i].removeEventListener("click", verif);
						}
					}
				}
			}
		}
		document.getElementById('res').innerHTML = "Memorise bien !";
		allumer();
}


</script>

</body>
</html>

